Bug 491382 - davfs2 requires extra permissions
davfs2 requires extra permissions
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 491383
  Show dependency treegraph
 
Reported: 2009-03-20 13:51 EDT by Will Woods
Modified: 2009-11-18 08:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 491383 (view as bug list)
Environment:
Last Closed: 2009-11-18 08:00:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2009-03-20 13:51:24 EDT
mount.davfs2 (provided by the davfs2 package) requires some permissions that other mount_t processes don't.

Suggested policy additions were:

/var/cache/davfs2(/.*)?  gen_context(system_u:object_r:mount_var_run_t,s0)
/var/run/davfs2(/.*)?    gen_context(system_u:object_r:mount_var_run_t,s0)

manage_dirs_pattern(mount_t,mount_var_run_t,mount_var_run_t)
manage_files_pattern(mount_t,mount_var_run_t,mount_var_run_t)

It also needs read access to /dev/random, and permission to send itself signals:

allow mount_t random_device_t:chr_file read;
allow mount_t self:process signal;
Comment 1 Miroslav Grepl 2009-03-23 13:23:50 EDT
Fixed in selinux-policy-3.5.13-51.fc10
Comment 2 Bug Zapper 2009-11-18 06:34:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Daniel Walsh 2009-11-18 08:00:28 EST
Closing as current release

Note You need to log in before you can comment on or make changes to this bug.